//////////////////////////////////////////////////////////////////////////////
//
//  Copyright 2025 by Autodesk, Inc.  All rights reserved.
//
// This computer source code and related instructions and comments 
// are the unpublished confidential and proprietary information of 
// Autodesk, Inc. and are protected under applicable copyright and 
// trade secret law.  They may not be disclosed to, copied or used 
// by any third party without the prior written consent of Autodesk, Inc.
//
//////////////////////////////////////////////////////////////////////////////
#ifndef __STDGBTAPER_H
#define __STDGBTAPER_H

///<summary>This is class AcmTaperStdGB.</summary>
class STDIMP_DLLSHARE AcmTaperStdGB : public AcmTaperStdISO
{
public:
  ACRX_DECLARE_MEMBERS(AcmTaperStdGB);
  AcmTaperStdGB();
  virtual ~AcmTaperStdGB();

  const ACHAR* getDefaultRevClassName() const override;

  //this class is obsolete - do not create any object from that!
  Adesk::Boolean isCompatibleTo(const AcmStandard* pStd) const override
  {
      return Adesk::kFalse;
  }
};

#endif // __STDGBTAPER_H